Bug 1125362 - add with_features("Pulp") to content capsules
Summary: add with_features("Pulp") to content capsules
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: jmagen@redhat.com
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 16:08 UTC by Eric Helms
Modified: 2016-04-22 15:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:27:10 UTC


Attachments (Terms of Use)
sat6 remote capsule features (45.34 KB, image/png)
2014-08-26 14:42 UTC, Kedar Bidarkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6330 None None None 2016-04-22 15:41:02 UTC

Description Eric Helms 2014-07-31 16:08:21 UTC

Comment 1 Eric Helms 2014-07-31 16:08:22 UTC
Created from redmine issue http://projects.theforeman.org/issues/6330

Comment 2 Eric Helms 2014-07-31 16:08:24 UTC
Upstream bug assigned to jmagen@redhat.com

Comment 4 Justin Sherrill 2014-07-31 22:25:19 UTC
Note this is a larger capsule/pulp feature set:

* Need a pulp feature for the 'pulp master' server
* When installing a capsule with the pulp/content feature, it should get the 'pulp' feature
* when installing a satellite server, the self hosted smart proxy should have the 'pulp master' feature
* We should identify the 'default' smart proxy by the 'pulp master' feature instead of its name
* The list of 'content sources' to select for a host should be based off list of smart proxies with either pulp feature (pulp or pulp master)

Comment 5 Bryan Kearney 2014-08-12 12:49:59 UTC
Upstream bug assigned to jmagen@redhat.com

Comment 9 Justin Sherrill 2014-08-22 14:51:01 UTC
Note that the implementation is slightly different than the comment #4

The main Satellite server's capsule will show up with a "Pulp" feature for its capsule.

Remote Capsules will show up with the "Pulp Node" feature.

Comment 10 Kedar Bidarkar 2014-08-26 14:42:04 UTC
Tested with Sat6-GA-snap6-compose3


Installed Packages

    candlepin-0.9.23-1.el6_5.noarch
    candlepin-common-1.0.1-1.el6_5.noarch
    candlepin-scl-1-5.el6_4.noarch
    candlepin-scl-quartz-2.1.5-5.el6_4.noarch
    candlepin-scl-rhino-1.7R3-1.el6_4.noarch
    candlepin-scl-runtime-1-5.el6_4.noarch
    candlepin-selinux-0.9.23-1.el6_5.noarch
    candlepin-tomcat6-0.9.23-1.el6_5.noarch
    createrepo-0.9.9-21.2.pulp.el6sat.noarch
    elasticsearch-0.90.10-6.el6sat.noarch
    katello-1.5.0-29.el6sat.noarch
    katello-certs-tools-1.5.6-1.el6sat.noarch
    katello-default-ca-1.0-1.noarch
    katello-installer-0.0.61-1.el6sat.noarch
    katello-server-ca-1.0-1.noarch
    m2crypto-0.21.1.pulp-10.el6sat.x86_64
    mod_wsgi-3.4-1.pulp.el6sat.x86_64
    pulp-katello-0.3-3.el6sat.noarch
    pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
    pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
    pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
    pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
    pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
    pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
    pulp-server-2.4.0-0.30.beta.el6sat.noarch
    python-gofer-qpid-1.3.0-1.el6sat.noarch
    python-isodate-0.5.0-1.pulp.el6sat.noarch
    python-kombu-3.0.15-12.pulp.el6sat.noarch
    python-pulp-bindings-2.4.0-0.30.beta.el6sat.noarch
    python-pulp-common-2.4.0-0.30.beta.el6sat.noarch
    python-pulp-puppet-common-2.4.0-0.30.beta.el6sat.noarch
    python-pulp-rpm-common-2.4.0-0.30.beta.el6sat.noarch
    python-qpid-0.22-14.el6sat.noarch
    python-qpid-qmf-0.22-37.el6.x86_64
    qpid-cpp-client-0.22-42.el6.x86_64
    qpid-cpp-server-0.22-42.el6.x86_64
    qpid-cpp-server-linearstore-0.22-42.el6.x86_64
    qpid-java-client-0.22-6.el6.noarch
    qpid-java-common-0.22-6.el6.noarch
    qpid-proton-c-0.7-1.el6.x86_64
    qpid-qmf-0.22-37.el6.x86_64
    qpid-tools-0.22-12.el6.noarch
    ruby193-rubygem-katello-1.5.0-85.el6sat.noarch
    rubygem-hammer_cli_katello-0.0.4-14.el6sat.noarch
    rubygem-smart_proxy_pulp-1.0.1-1.1.el6sat.noarch

Comment 11 Kedar Bidarkar 2014-08-26 14:42:52 UTC
Created attachment 931019 [details]
sat6 remote capsule features

Comment 12 Kedar Bidarkar 2014-08-26 14:45:01 UTC
The above attachment shows that,

Sat6's Capsule displays: "Pulp" feature

Remote Capsule displays: "Pulp Node" feature

Comment 13 Bryan Kearney 2014-09-11 12:27:10 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.